﻿using InABox.Configuration;
using System;
using System.Collections.Generic;
using System.Text;

namespace InABox.Core
{
    /// <summary>
    /// The settings for a given <see cref="IPoster{TEntity, TSettings}"/>.
    /// </summary>
    /// <typeparam name="TEntity"></typeparam>
    public class PosterSettings<TEntity> : IGlobalConfigurationSettings
        where TEntity : Entity, IPostable
    {
        [ScriptEditor]
        public string? Script { get; set; }
    }
}
