using System;
using System.Collections;
using System.Globalization;
using Xamarin.Forms;

namespace InABox.Mobile
{
    public class EnumerableToBooleanConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is IEnumerable enumerable)
                return enumerable.GetEnumerator().MoveNext();
            return false;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}