﻿using InABox.Core;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace InABox.Poster.CSV
{
    public class CSVPosterSettings<TEntity> : PosterSettings<TEntity>
        where TEntity : Entity, IPostable
    {
        [FileNameEditor("CSV Files (*.csv)|*.csv", RequireExisting = false)]
        public string DefaultOutputFile { get; set; }
    }
}
