using System;
using Syncfusion.SfDataGrid.XForms;
using Xamarin.Forms;

namespace InABox.Mobile
{
    public class MobileGridDateColumn<TEntity> : MobileGridColumn<TEntity, DateTime>
    {
        
        public String Format { get; set; }
        
        public MobileGridDateColumn() : base()
        {
            Width = GridLength.Auto;
        }
        
        public override GridColumn CreateColumn()
        {
            var result = CreateColumn<GridDateTimeColumn>();
            result.Format = Format;
            return result;
        }
    }
    

}