using Syncfusion.Data;
using Syncfusion.SfDataGrid.XForms;

namespace InABox.Mobile
{
    public class MobileGridDoubleColumn<TEntity> : MobileGridNumericColumn<TEntity, double>
    {
        public int DecimalPlaces { get; set; } = 2;
        
        public override GridColumn CreateColumn()
        {
            var result = CreateColumn<GridNumericColumn>();
            result.NumberDecimalDigits = DecimalPlaces;
            return result;
        }
    }
}